LOCK(1)

NAME
lock - reserve a terminal

SYNOPSIS
lock [-npv] [-t timeout]

DESCRIPTION
The lock utility requests a password from the user, reads it again for verification and then will normally not relinquish the terminal until the password is repeated. There are two other conditions under which it will terminate: it will timeout after some interval of time and it may be killed by someone with the appropriate permission.

The following options are available:

-n  Do not use a timeout value. Terminal will be locked forever.

-p  A password is not requested, instead the user's current login password is used.

-t timeout
    The time limit (default 15 minutes) is changed to timeout minutes.

-v  Disable switching virtual terminals while this terminal is locked. This option is implemented in a way similar to the -S option of vidcontrol(1), and thus has the same restrictions. It is only available if the terminal in question is a syscons(4) virtual terminal.

SEE ALSO
vidcontrol(1), syscons(4)

HISTORY
The lock command appeared in 3.0BSD.